uk.ac.starlink.hapi

## Class ServerMeta

- java.lang.Object
- - uk.ac.starlink.hapi.ServerMeta

-     public abstract class ServerMeta
      extends java.lang.Object

  Describes basic information about a HAPI server.
  Since:
    12 Jan 2024

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SERVER_LIST_URL` Location of list of known HAPI servers.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerMeta()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `getContact()` Returns the name of a person who can be contacted about this service.
    `abstract java.lang.String` | `getEmail()` Returns the email address for contact regarding this service.
    `abstract java.lang.String` | `getName()` Returns the name of this service.
    `static ServerMeta[]` | `getServers()` Returns a list of known servers.
    `abstract java.lang.String` | `getTitle()` Returns the title of this service.
    `abstract java.lang.String` | `getUrl()` Returns the base URL of the HAPI service.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SERVER_LIST_URL

          public static final java.lang.String SERVER_LIST_URL

      Location of list of known HAPI servers.
      See Also:
        https://github.com/hapi-server/servers, Constant Field Values

  - ### Constructor Detail

    - #### ServerMeta

          public ServerMeta()

  - ### Method Detail

    - #### getUrl

          public abstract java.lang.String getUrl()

      Returns the base URL of the HAPI service.
      Returns:
        base URL, legal URL, not null

    - #### getName

          public abstract java.lang.String getName()

      Returns the name of this service.
      Returns:
        service name, may be null

    - #### getTitle

          public abstract java.lang.String getTitle()

      Returns the title of this service.
      Returns:
        service title, may be null

    - #### getContact

          public abstract java.lang.String getContact()

      Returns the name of a person who can be contacted about this service.
      Returns:
        contact person name, may be null

    - #### getEmail

          public abstract java.lang.String getEmail()

      Returns the email address for contact regarding this service.
      Returns:
        contact email, may be null

    - #### getServers

          public static ServerMeta[] getServers()

      Returns a list of known servers.
      Returns:
        server list